# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXRibbon

Function

Produces a ribbon of the given width from a path or group of paths.

Syntax
`
#include <dx/dx.h>
`

Object DXRibbon(Object o, double width)

Functional Details

Produces a ribbon of the width `width` from a path or group of paths in Object `o`. The ribbon is perpendicular to the normal and parallel to the tangent at each point on the path, where the normals are provided by the "normals" component if present or approximated from the path otherwise. The normals (given or computed) are translated to the generated vertices and associated with the ribbon for shading. If the direction of the normals changes too rapidly, breaks in the ribbon may occur.

For additional details on ribbons, see Ribbon in IBM Visualization Data Explorer User's Reference.

Return Value

Returns the ribbon, or returns `NULL` and sets the error code to indicate an error.

See Also

`DXTube`

15.3 , "Path Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]